Bug 1158516 - Number of platforms retrieved using REST can't be modified using ps param and is always limited to 100
Summary: Number of platforms retrieved using REST can't be modified using ps param and...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: REST
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: CR01
: JON 3.3.0
Assignee: Libor Zoubek
QA Contact: Radim Hatlapatka
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-29 14:35 UTC by Radim Hatlapatka
Modified: 2015-11-02 00:44 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:04:26 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1149766 None None None Never

Internal Trackers: 1149766

Description Radim Hatlapatka 2014-10-29 14:35:38 UTC
It is not possible to configure number of platforms send via REST using ps query param resulting to max limit of 100 resources.

When having big topology with many agents this limitation can prevent you accessing some of the agents via REST api.

Comment 1 Heiko W. Rupp 2014-10-29 15:08:25 UTC
IIrc platforms can still be looked at via the normal resource search which should correctly support paging ( e.g. go to GET /resource?category=PLATFORM  ).
Also agents can be found via normal resource search

Comment 2 Libor Zoubek 2014-10-29 15:32:49 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/79a063c13
time:    2014-10-29 16:31:15 +0100
commit:  79a063c13562d94dcd02d77598bc965f64c75171
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1158516 - Number of platforms retrieved using REST can't be modified 
         using ps param and is always limited to 100
         set @DefaultValue to 0 for page parameter. Without that paging
         was disabled unless page query parameter was specified.


branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/73e845e15
time:    2014-10-29 16:32:10 +0100
commit:  73e845e155b2c665c9d098521490e9c78e56522e
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1158516 - Number of platforms retrieved using REST can't be modified 
         using ps param and is always limited to 100
         set @DefaultValue to 0 for page parameter. Without that paging
         was disabled unless page query parameter was specified.
         (cherry picked from commit
         79a063c13562d94dcd02d77598bc965f64c75171) Signed-off-by: Libor
         Zoubek <lzoubek@redhat.com>

Comment 3 Simeon Pinder 2014-11-03 19:03:41 UTC
Moving to ON_QA as available to test with latest brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=396547

Comment 4 Radim Hatlapatka 2014-11-04 15:56:33 UTC
Verified with JON 3.3.0.CR1


Note You need to log in before you can comment on or make changes to this bug.